function plotirregulardata(xx,yy,zz)
%
% plots irregular data as in plotirrd,
%   but with a '+' instead of a period for each data point.
%

% 24 January 1998, by paul hemenway and dan codiga

% The preceeding blank line is important for cvs.
% $Id: plotirrplus.m,v 1.1 1999/07/15 18:41:01 paul Exp $
%

% $Log: plotirrplus.m,v $
% Revision 1.1  1999/07/15 18:41:01  paul
% pdh
%

map=colormap;
xmin=min(xx)
xmax=max(xx)
ymin=min(yy)
ymax=max(yy)
zmin=min(zz)
zmax=max(zz)
x=zmin:(zmax-zmin)/63:zmax;
y=1:64;
ind=round(interp1(x,y,zz));
figure; hold;
axis([xmin xmax ymin ymax]);
for i=1:64
 whr=find(ind==i);
 plot(xx(whr),yy(whr),'+','color',map(i,:));
end
end
