#!/usr/bin/awk -f
#
# Count lines and comment lines in Matlab script files. 7/16/98 jhrg

BEGIN {lines = 0; comments = 0}
/^[ \t]*%.*$/ {comments++; continue}
/^[ \t]*$/ {continue}
{lines++}
END {OFS=""; print FILENAME, ":\tlines: ", lines, "\tcomments: ", comments}
